#remember to rebuild with kernel 2.4.0 if you want multilink
Summary: The PPP daemon and documentation for Linux 1.3.xx and greater.
Name: ppp
Version: 2.4.1
Release: 2tr
License: distributable
Group: Network/Connectivity
Source0: ftp://ftp.linuxcare.com.au/pub/ppp/ppp-%{version}.tar.bz2
Source1: ppp-2.4.1-pamd.conf
Patch0: ppp-2.4.1-make.patch.bz2
Patch1: ppp-2.3.6-sample.patch.bz2
Patch2: ppp-2.3.9-wtmp.patch.bz2
Patch3: ppp-2.3.11-reap.patch.bz2
Patch4: ppp-2.3.11-makeopt.patch.bz2
Patch5: ppp-options.patch.bz2
Patch6: ppp-2.3.11-pam_session.patch.bz2
Patch7: ppp-2.4.1-pppdump-Makefile.patch.bz2
Patch8: ppp-2.4.1-zfree.patch.bz2
Buildroot: %{_tmppath}/%{name}-root
Requires: glibc >= 2.0.6

%define _sysconfdir /etc

%description
The ppp package contains the PPP (Point-to-Point Protocol) daemon
and documentation for PPP support.  The PPP protocol provides a
method for transmitting datagrams over serial point-to-point links.

The ppp package should be installed if your machine need to support
the PPP protocol.

%prep
%setup  -q
%patch0 -p1 -b .make
%patch1 -p1 -b .sample
%patch2 -p1 -b .wtmp
#%patch3 -p1 -b .reap
%patch4 -p0 -b .makeopt
%patch5 -p1 -b .options
%patch6 -p1
%patch7 -p1 -b .pppdump-Makefile
%patch8 -p1 -b .zfree

# patch 2 depends on the -lutil in patch 0
find . -type f -name "*.sample" | xargs rm -f 

%build
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" ./configure
# remove the following line when rebuilding against kernel 2.4 for multilink
perl -pi -e "s|-DHAVE_MULTILINK||" pppd/Makefile
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS -DDO_BSD_COMPRESS=0"

%install
mkdir -p $RPM_BUILD_ROOT/{%{_sbindir},%{_mandir}/man8,%{_sysconfdir}/{ppp/peers,pam.d}}
make install BINDIR=$RPM_BUILD_ROOT/%{_sbindir} MANDIR=$RPM_BUILD_ROOT/%{_mandir} \
    ETCDIR=$RPM_BUILD_ROOT/%{_sysconfdir}/ppp

## it shouldn't be SUID root be default
#chmod 755 $RPM_BUILD_ROOT/usr/sbin/pppd
# dunno who mde the previous comment, but I (jerome) changed
# the acces to 4755 in order for kppp and other stuff to work with pppd

chmod go+r scripts/*
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT/%{_sysconfdir}/pam.d/ppp

mkdir $RPM_BUILD_ROOT/dev
mknod $RPM_BUILD_ROOT/dev/ppp c 108 0

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%attr(0600,root,root)	/dev/ppp
%attr(0755,root,root)	%{_sbindir}/chat
%attr(5755,root,root)	%{_sbindir}/pppd
%attr(0755,root,root)	%{_sbindir}/pppdump
%attr(0755,root,daemon)	%{_sbindir}/pppstats
%attr(0644,root,root)	%{_mandir}/man*/*
%attr(0755,root,root)	%dir %{_sysconfdir}/ppp
%attr(0755,root,daemon)	%config %{_sysconfdir}/ppp/peers
%attr(0600,root,daemon)	%config(noreplace) %{_sysconfdir}/ppp/*-secrets
%attr(0644,root,daemon)	%config(noreplace) %{_sysconfdir}/ppp/options
%attr(0644,root,root)	%config(noreplace) %{_sysconfdir}/pam.d/ppp
%attr(-,root,root)	%doc README README.linux scripts sample

%changelog
* Fri Sep 20 2002 Erlend Midttun <erlendbm@trustix.com>
- Repackaged for TSL 1.X.

* Sat Sep 14 2002 Gerald Dachs <gda@trustix.org> 2.4.1-2gd
- fixed /etc/pam.d conf file

* Mon Mar 18 2002 Christian H. Toldnes <christht@trustix.com>
- Update to 2.4.1
- Patch to fix zlib security error.

* Wed Jul  4 2001 Oystein Viggen <oysteivi@trustix.com>
- Sysconfdir is /etc

* Fri Feb 23 2001 Oystein Viggen <oysteivi@trustix.com>
- Trustixizification.
- /dev/ppp is not in our dev package.

* Tue Sep 26 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.0-3mdk
- Pamstackizification.
- check pam_open_session result code (rh).

* Thu Aug 31 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.4.0-2mdk
- add noauth, noipdefault and userpeerdns to /etc/ppp/options (pablo).

* Sun Aug 06 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.4.0-1mdk
- new and shiny version
- rebuild for new url

* Wed Jul 26 2000 Francis Galiegue <fg@mandrakesoft.com> 2.3.11-9mdk

- /dev/ppp is now in dev package
- some %files list cleanup

* Fri Jul 21 2000 Francis Galiegue <fg@mandrakesoft.com> 2.3.11-8mdk

- BM

* Wed May 03 2000 Jerome Martin <jerome@mandrakesoft.com> 2.3.11-7mdk
- Changed pppd perms again, to add the save to disk swap attribute in
  order to allow some sort of modem locking.
  
* Wed May 03 2000 Jerome Martin <jerome@mandrakesoft.com> 2.3.11-6mdk
- Added suid root permission to pppd
- rebuild for new environment

* Sat Apr 08 2000 John Buswell <johnb@mandrakesoft.com> 2.3.11-5mdk
- Fixed perms on /etc/ppp/peers

* Thu Mar 30 2000 John Buswell <johnb@mandrakesoft.com> 2.3.11-4mdk
- Fixed groups
- spec-helper

* Sun Feb 27 2000 Giuseppe Ghib <ghibo@mandrakesoft.com> 2.3.11-3mdk
- added RedHat reaper (ppp-2.3.11-reap) patch and synched with
  RedHat version 2.3.11-1.
- added pppdump and pppdump.8 man pages.
- added ppp-2.3.11-makeopt patch.

* Sun Feb 06 2000 Geoffrey Lee <snailtalk@linux-mandrake.com> 2.3.11-1mdk
- 2.3.11

* Mon Nov 22 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- remove %post.

* Fri Nov 12 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- fix for double-dial problem(r).
- fix for requiring a controlling terminal problem(r).

* Wed Nov 10 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Create /etc/ppp/peers.

* Thu Nov 04 1999 John Buswell <johnb@mandrakesoft.com>
- 2.3.10
- Build Release

* Mon Sep 20 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Fix %%post ?? 

* Mon Sep 20 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Fix %%post

* Mon Sep 20 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- -DCHAPMS
- -DUSE_PAM

* Tue Sep  7 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- Add /dev/ppp
- Add entries in /etc/conf.modules if they aren't there yet

* Wed Aug 25 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- 2.3.9 (required for kernel 2.3.14+)

* Thu Jul 15 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Removing unused stuff.
- Upgrade patch.
- 2.3.8.

* Fri Jul 10 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Define the .pid to /var/run/
- Glare @Chmouel

* Fri Jul 09 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Define the .pid to /var/run not to /etc/ (reported by Nikodemus Karlsson
  <nickek@algonet.se>).

* Wed May 05 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions
- handle RPM_OPT_FLAGS

* Fri Apr 09 1999 Cristian Gafton <gafton@redhat.com>
- force pppd use the glibc's logwtmp instead of implementing its own

* Wed Apr 01 1999 Preston Brown <pbrown@redhat.com>
- version 2.3.7 bugfix release

* Tue Mar 23 1999 Cristian Gafton <gafton@redhat.com>
- version 2.3.6

* Mon Mar 22 1999 Michael Johnson <johnsonm@redhat.com>
- auth patch

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 3)

* Thu Jan 07 1999 Cristian Gafton <gafton@redhat.com>
- build for glibc 2.1

* Fri Jun  5 1998 Jeff Johnson <jbj@redhat.com>
- updated to 2.3.5.

* Tue May 19 1998 Prospector System <bugs@redhat.com>
- translations modified for de

* Fri May  8 1998 Jakub Jelinek <jj@ultra.linux.cz>
- make it run with kernels 2.1.100 and above.

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Mar 18 1998 Cristian Gafton <gafton@redhat.com>
- requires glibc 2.0.6 or later

* Wed Mar 18 1998 Michael K. Johnson <johnsonm@redhat.com>
- updated PAM patch to not turn off wtmp/utmp/syslog logging.

* Wed Jan  7 1998 Cristian Gafton <gafton@redhat.com>
- added the /etc/pam.d config file
- updated PAM patch to include session support

* Tue Jan  6 1998 Cristian Gafton <gafton@redhat.com>
- updated to ppp-2.3.3, build against glibc-2.0.6 - previous patches not
  required any more.
- added buildroot
- fixed the PAM support, which was really, completely broken and against any
  standards (session support is still not here... :-( )
- we build against running kernel and pray that it will work
- added a samples patch; updated glibc patch

* Thu Dec 18 1997 Erik Troan <ewt@redhat.com>
- added a patch to use our own route.h, rather then glibc's (which has 
  alignment problems on Alpha's) -- I only applied this patch on the Alpha,
  though it should be safe everywhere

* Fri Oct 10 1997 Erik Troan <ewt@redhat.com>
- turned off the execute bit for scripts in /usr/doc

* Fri Jul 18 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Tue Mar 25 1997 Erik Troan <ewt@redhat.com>
- Integrated new patch from David Mosberger
- Improved description
